# TCCP Docs Styles MkDocs Plugin

[![ci](https://github.com/trimble-oss/mkdocs-tccp-docs-styles/actions/workflows/ci.yml/badge.svg)](https://github.com/trimble-oss/mkdocs-tccp-docs-styles/actions/workflows/ci.yml)

This plugin adds custom styles to a MkDocs project that uses MkDocs Material. It uses the Modus colors from Trimble and automatically adds the pallet node to the theme to enable dark mode and the theme switcher.

[Demo Site](https://ideal-adventure-6v53m7m.pages.github.io/)

## Installation

```bash
pip install tccp-docs-styles
```

## Usage

Add to your mkdocs.yml file

```yml

plugins:
  - tccp-docs-styles
      
```

## Dependencies

This plugin expects the following markdown extensions to be installed

```yml

markdown_extensions:
  - admonition
  - pymdownx.details
  - pymdownx.superfences  
  - attr_list

```

## Developing

Setup your environment, different steps for demo or deploy

### Both
```sh
python3 -m venv venv
python3 -m venv .venv

# source your python env
source .venv/bin/activate

# install dependencies
pip install -r requirements.txt
```

### Demo - Local
```sh
# install the plugin in development mode
pip install -e .

# serve the develop/demo project
mkdocs serve
```

### Demo - GH Pages (Action)
```sh
# install the plugin in development mode
pip install -e .

# serve the develop/demo project
mkdocs gh-deploy --force
```

### Deploy
```sh
# build the plugin
python3 -m build

# push package to test pypi
twine upload -r testpypi dist/*

# push package to pypi
python3 -m twine upload dist/*


```

Solving some of the issues publishing the plugin

SSL Cert verification error

```sh
# For Python installed via pyenv or Homebrew
/Applications/Python\ 3.12/Install\ Certificates.command
```

